Debian Bug report logs - #466719
linux-image-2.6.24-1-amd64: sometimes doesn't join multicast groups, breaks IPv6

version graph

Package: linux-image-2.6.24-1-amd64; Maintainer for linux-image-2.6.24-1-amd64 is (unknown);

Reported by: weinholt@debian.org (Göran Weinholt)

Date: Wed, 20 Feb 2008 15:24:11 UTC

Severity: important

Found in version linux-2.6/2.6.24-4

Fixed in version linux-2.6/2.6.24-5

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#466719; Package linux-image-2.6.24-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to weinholt@debian.org (Göran Weinholt):
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: weinholt@debian.org (Göran Weinholt)
To: submit@bugs.debian.org
Subject: linux-image-2.6.24-1-amd64: sometimes doesn't join multicast groups, breaks IPv6
Date: Wed, 20 Feb 2008 16:23:10 +0100
Package: linux-image-2.6.24-1-amd64
Version: 2.6.24-4
Severity: important

After booting there will be multicast addresses missing on eth0.
Sometimes 33:33:00:00:00:01 is missing and I will not receive router
advertisements, other times 33:33:ff:81:16:3a is missing and neighbor
discovery breaks instead. There was a similar problem in bug #410375.

But it's different multicast addresses missing on each boot. Here is
the output from the "ip maddr" command from a few boots:

2:	eth0
	link  33:33:ff:81:16:3a users 2
	link  33:33:00:00:00:01 users 2
	inet  224.0.0.1
	inet6 ff02::1:ff81:163a users 2
	inet6 ff02::1

2:	eth0
	link  33:33:00:00:00:01 users 2
	inet  224.0.0.1
	inet6 ff02::1:ff81:163a users 2
	inet6 ff02::1

2:	eth0
	link  33:33:ff:81:16:3a users 2
	link  33:33:00:00:00:01 users 2
	link  01:00:5e:00:00:01 users 2
	inet  224.0.0.1
	inet6 ff02::1:ff81:163a users 2
	inet6 ff02::1

2:	eth0
	link  33:33:ff:81:16:3a users 2
	inet  224.0.0.1
	inet6 ff02::1:ff81:163a users 2
	inet6 ff02::1

A colleague of mine has the same problem with Gentoo and this kernel:
Linux oberon 2.6.24.2 #2 SMP Mon Feb 11 22:39:41 CET 2008 x86_64 Intel(R) Core(TM)2 CPU 6300 @ 1.86GHz GenuineIntel GNU/Linux

Note that we both run 2.6.24 with dual-core processors.


-- Package-specific info:
** Version:
Linux version 2.6.24-1-amd64 (Debian 2.6.24-4) (waldi@debian.org) (gcc version 4.1.3 20080114 (prerelease) (Debian 4.1.2-19)) #1 SMP Mon Feb 11 13:47:43 UTC 2008

** Command line:
root=/dev/mapper/industria-root ro 

** Tainted: P (1)

** Kernel log:
ACPI: PCI Interrupt 0000:00:08.0[A] -> Link [APSJ] -> GSI 23 (level, low) -> IRQ 23
sata_nv 0000:00:08.0: Using ADMA mode
PCI: Setting latency timer of device 0000:00:08.0 to 64
scsi2 : sata_nv
scsi3 : sata_nv
ata3: SATA max UDMA/133 cmd 0x9e0 ctl 0xbe0 bmdma 0xc000 irq 23
ata4: SATA max UDMA/133 cmd 0x960 ctl 0xb60 bmdma 0xc008 irq 23
ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata3.00: ATA-8: SAMSUNG HD321KJ, CP100-10, max UDMA7
ata3.00: 625142448 sectors, multi 1: LBA48 NCQ (depth 31/32)
ata3.00: configured for UDMA/133
ata4: SATA link down (SStatus 0 SControl 300)
scsi 2:0:0:0: Direct-Access     ATA      SAMSUNG HD321KJ  CP10 PQ: 0 ANSI: 5
ata3: bounce limit 0xFFFFFFFFFFFFFFFF, segment boundary 0xFFFFFFFF, hw segs 61
Driver 'sd' needs updating - please use bus_type methods
sd 2:0:0:0: [sda] 625142448 512-byte hardware sectors (320073 MB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 2:0:0:0: [sda] 625142448 512-byte hardware sectors (320073 MB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda:<4>Driver 'sr' needs updating - please use bus_type methods
sr0: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 0:0:0:0: Attached scsi CD-ROM sr0
 sda1 sda2 < sda5 >
sd 2:0:0:0: [sda] Attached SCSI disk
sr 0:0:0:0: Attached scsi generic sg0 type 5
sd 2:0:0:0: Attached scsi generic sg1 type 0
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.12.0-ioctl (2007-10-02) initialised: dm-devel@redhat.com
Attempting manual resume
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: Power Button (FF) as /class/input/input4
i2c-adapter i2c-0: nForce2 SMBus adapter at 0x4c00
i2c-adapter i2c-1: nForce2 SMBus adapter at 0x4c40
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input5
ACPI: Power Button (CM) [PWRB]
input: PC Speaker as /class/input/input6
pnp: the driver 'parport_pc' has been registered
parport_pc 00:09: reported by Plug and Play ACPI
parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE,EPP]
ACPI: PCI Interrupt Link [APCJ] enabled at IRQ 22
ACPI: PCI Interrupt 0000:00:04.0[A] -> Link [APCJ] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:04.0 to 64
parport_pc 00:09: driver attached
intel8x0_measure_ac97_clock: measured 53733 usecs
intel8x0: clocking to 46895
EXT3 FS on dm-4, internal journal
loop: module loaded
powernow-k8: Found 1 AMD Athlon(tm) 64 X2 Dual Core Processor 5600+ processors (2 cpu cores) (version 2.20.00)
powernow-k8:    0 : fid 0x14 (2800 MHz), vid 0x8
powernow-k8:    1 : fid 0x12 (2600 MHz), vid 0xa
powernow-k8:    2 : fid 0x10 (2400 MHz), vid 0xc
powernow-k8:    3 : fid 0xe (2200 MHz), vid 0xe
powernow-k8:    4 : fid 0xc (2000 MHz), vid 0x10
powernow-k8:    5 : fid 0xa (1800 MHz), vid 0x10
powernow-k8:    6 : fid 0x2 (1000 MHz), vid 0x12
fuse init (API version 7.9)
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-6, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-3, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-0, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
NET: Registered protocol family 15
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
Initializing XFRM netlink socket
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.9
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Clocksource tsc unstable (delta = -71451060 ns)
nvidia: module license 'NVIDIA' taints kernel.
ACPI: PCI Interrupt Link [APC3] enabled at IRQ 18
ACPI: PCI Interrupt 0000:05:00.0[A] -> Link [APC3] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:05:00.0 to 64
NVRM: loading NVIDIA UNIX x86_64 Kernel Module  169.09  Fri Jan 11 14:04:37 PST 2008
eth0.3: no IPv6 routers present

** Loaded modules:
Module                  Size  Used by
nvidia               8851908  34 
rfcomm                 46240  0 
l2cap                  29568  5 rfcomm
bluetooth              65540  4 rfcomm,l2cap
cpufreq_userspace       9604  1 
ac                     11400  0 
battery                19976  0 
xfrm4_mode_transport     6656  12 
xfrm_user              30592  4 
xfrm4_tunnel            7552  0 
tunnel4                 8592  1 xfrm4_tunnel
ipcomp                 12684  0 
esp4                   12800  6 
ah4                    10880  0 
8021q                  27664  0 
ipv6                  286248  36 
deflate                 8448  0 
zlib_deflate           24088  1 deflate
zlib_inflate           19328  1 deflate
twofish                11392  0 
twofish_common         42240  1 twofish
camellia               34432  0 
serpent                23040  0 
blowfish               13184  0 
des_generic            21376  0 
ecb                     8192  0 
xcbc                   10248  0 
sha256_generic         13312  0 
sha1_generic            7296  6 
crypto_null             7296  0 
af_key                 42388  0 
fuse                   53680  1 
aes_generic            31040  0 
aes_x86_64             29992  7 
cbc                     9088  7 
blkcipher              11780  2 ecb,cbc
dm_crypt               18568  1 
powernow_k8            18464  1 
freq_table              9728  1 powernow_k8
loop                   22788  0 
snd_intel8x0           41000  0 
parport_pc             42408  0 
serio_raw              11908  0 
snd_ac97_codec        118232  1 snd_intel8x0
parport                44812  1 parport_pc
psmouse                45724  0 
ac97_bus                6912  1 snd_ac97_codec
pcspkr                  7808  0 
k8temp                 10496  0 
snd_pcm_oss            46624  0 
snd_mixer_oss          21376  1 snd_pcm_oss
snd_pcm                89352  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
i2c_nforce2            11136  0 
snd_timer              28552  1 snd_pcm
button                 13984  0 
i2c_core               29824  2 nvidia,i2c_nforce2
snd                    65896  6 snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              13216  1 snd
snd_page_alloc         15248  2 snd_intel8x0,snd_pcm
joydev                 17536  0 
evdev                  17024  0 
ext3                  139024  6 
jbd                    55976  1 ext3
mbcache                13952  1 ext3
dm_mirror              27008  0 
dm_snapshot            21960  0 
dm_mod                 67832  19 dm_crypt,dm_mirror,dm_snapshot
sg                     41752  0 
sr_mod                 22820  0 
cdrom                  39464  1 sr_mod
sd_mod                 33408  3 
sata_nv                33032  2 
usbhid                 35168  0 
hid                    41792  1 usbhid
ata_generic            13060  0 
amd74xx                14360  0 [permanent]
libata                162736  2 sata_nv,ata_generic
scsi_mod              170296  4 sg,sr_mod,sd_mod,libata
floppy                 66664  0 
generic                 9732  0 [permanent]
ide_core              144920  2 amd74xx,generic
forcedeth              54540  0 
ohci_hcd               28164  0 
ehci_hcd               39692  0 
thermal                22688  0 
processor              45032  2 powernow_k8,thermal
fan                     9864  0 

** PCI devices:
00:00.0 Memory controller [0580]: nVidia Corporation CK804 Memory Controller [10de:005e] (rev a3)
	Subsystem: ASUSTeK Computer Inc. A8N-E Mainboard [1043:815a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 ISA bridge [0601]: nVidia Corporation CK804 ISA Bridge [10de:0050] (rev f3)
	Subsystem: ASUSTeK Computer Inc. K8N4-E or A8N-E Mainboard [1043:815a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:01.1 SMBus [0c05]: nVidia Corporation CK804 SMBus [10de:0052] (rev a2)
	Subsystem: ASUSTeK Computer Inc. K8N4-E or A8N-E Mainboard [1043:815a]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 255
	Region 0: I/O ports at fc00 [size=32]
	Region 4: I/O ports at 4c00 [size=64]
	Region 5: I/O ports at 4c40 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:02.0 USB Controller [0c03]: nVidia Corporation CK804 USB Controller [10de:005a] (rev a2) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. K8N4-E or A8N-E Mainboard [1043:815a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at fe02f000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:02.1 USB Controller [0c03]: nVidia Corporation CK804 USB Controller [10de:005b] (rev a3) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. K8N4-E or A8N-E Mainboard [1043:815a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 23
	Region 0: Memory at feb00000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:04.0 Multimedia audio controller [0401]: nVidia Corporation CK804 AC'97 Audio Controller [10de:0059] (rev a2)
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:822c]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (500ns min, 1250ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at f000 [size=256]
	Region 1: I/O ports at ec00 [size=256]
	Region 2: Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH
	Kernel modules: snd-intel8x0

00:06.0 IDE interface [0101]: nVidia Corporation CK804 IDE [10de:0053] (rev f2) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. K8N4-E or A8N-E Mainboard [1043:815a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at e800 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: AMD_IDE
	Kernel modules: ata_generic, generic, amd74xx

00:07.0 IDE interface [0101]: nVidia Corporation CK804 Serial ATA Controller [10de:0054] (rev f3) (prog-if 85 [Master SecO PriO])
	Subsystem: ASUSTeK Computer Inc. A8N-E Mainboard [1043:815a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 20
	Region 0: I/O ports at 09f0 [size=8]
	Region 1: I/O ports at 0bf0 [size=4]
	Region 2: I/O ports at 0970 [size=8]
	Region 3: I/O ports at 0b70 [size=4]
	Region 4: I/O ports at d400 [size=16]
	Region 5: Memory at fe02c000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: ata_generic, sata_nv, generic

00:08.0 IDE interface [0101]: nVidia Corporation CK804 Serial ATA Controller [10de:0055] (rev f3) (prog-if 85 [Master SecO PriO])
	Subsystem: ASUSTeK Computer Inc. K8N4-E or A8N-E Mainboard [1043:815a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 23
	Region 0: I/O ports at 09e0 [size=8]
	Region 1: I/O ports at 0be0 [size=4]
	Region 2: I/O ports at 0960 [size=8]
	Region 3: I/O ports at 0b60 [size=4]
	Region 4: I/O ports at c000 [size=16]
	Region 5: Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: ata_generic, sata_nv, generic

00:09.0 PCI bridge [0604]: nVidia Corporation CK804 PCI Bridge [10de:005c] (rev f2) (prog-if 01 [Subtractive decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=128
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-

00:0a.0 Bridge [0680]: nVidia Corporation CK804 Ethernet Controller [10de:0057] (rev f3)
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:812a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (250ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at fe02a000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at bc00 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth
	Kernel modules: forcedeth

00:0b.0 PCI bridge [0604]: nVidia Corporation CK804 PCIE Bridge [10de:005d] (rev f3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0c.0 PCI bridge [0604]: nVidia Corporation CK804 PCIE Bridge [10de:005d] (rev f3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0d.0 PCI bridge [0604]: nVidia Corporation CK804 PCIE Bridge [10de:005d] (rev f3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0e.0 PCI bridge [0604]: nVidia Corporation CK804 PCIE Bridge [10de:005d] (rev a3) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: fb000000-fdffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k8temp
	Kernel modules: k8temp

05:00.0 VGA compatible controller [0300]: nVidia Corporation G70 [GeForce 7600 GS] [10de:0392] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8231]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
	Region 5: I/O ports at ac00 [size=128]
	[virtual] Expansion ROM at fdfe0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia
	Kernel modules: nvidia, nvidiafb



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.24-1-amd64 depends on:
ii  debconf [debconf-2.0]        1.5.19      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.91e       tools for generating an initramfs
ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo

linux-image-2.6.24-1-amd64 recommends no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#466719; Package linux-image-2.6.24-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 466719@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 466719@bugs.debian.org
Subject: Driver 'sd' needs updating - please use bus_type methods
Date: Sun, 09 Mar 2008 12:00:02 +0800
And somebody please fix the
"Driver 'sd' needs updating - please use bus_type methods"
above.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#466719; Package linux-image-2.6.24-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 466719@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 466719-submitter@bugs.debian.org
Cc: 466719@bugs.debian.org
Subject: Re: Bug#466719: linux-image-2.6.24-1-amd64: sometimes doesn't join multicast groups, breaks IPv6
Date: Mon, 10 Mar 2008 16:00:54 -0600
On Wed, Feb 20, 2008 at 04:23:10PM +0100, weinholt@debian.org wrote:
> Package: linux-image-2.6.24-1-amd64
> Version: 2.6.24-4
> Severity: important
> 
> After booting there will be multicast addresses missing on eth0.
> Sometimes 33:33:00:00:00:01 is missing and I will not receive router
> advertisements, other times 33:33:ff:81:16:3a is missing and neighbor
> discovery breaks instead. There was a similar problem in bug #410375.

Can you test this image and see if it fixes the problem for you?
  http://people.debian.org/~dannf/bugs/466719/

-- 
dann frazier





Message sent on to weinholt@debian.org (Göran Weinholt):
Bug#466719. Full text and rfc822 format available.

Information stored:
Bug#466719; Package linux-image-2.6.24-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to weinholt@debian.org (Göran Weinholt):
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 466719-quiet@bugs.debian.org (full text, mbox):

From: weinholt@debian.org (Göran Weinholt)
To: dann frazier <dannf@debian.org>
Cc: 466719-quiet@bugs.debian.org
Subject: Re: Bug#466719: linux-image-2.6.24-1-amd64: sometimes doesn't join multicast groups, breaks IPv6
Date: Tue, 11 Mar 2008 10:04:18 +0100
dann frazier <dannf@debian.org> writes:

> On Wed, Feb 20, 2008 at 04:23:10PM +0100, weinholt@debian.org wrote:
>> Package: linux-image-2.6.24-1-amd64
>> Version: 2.6.24-4
>> Severity: important
>> 
>> After booting there will be multicast addresses missing on eth0.
>> Sometimes 33:33:00:00:00:01 is missing and I will not receive router
>> advertisements, other times 33:33:ff:81:16:3a is missing and neighbor
>> discovery breaks instead. There was a similar problem in bug #410375.
>
> Can you test this image and see if it fixes the problem for you?
>   http://people.debian.org/~dannf/bugs/466719/

After quite a number of reboots, I can confirm that that kernel fixes
the problem.

Regards,

-- 
Göran Weinholt <weinholt@debian.org>
Debian developer, network administrator




Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Tue, 11 Mar 2008 16:51:13 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to weinholt@debian.org (Göran Weinholt):
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 466719-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 466719-close@bugs.debian.org
Subject: Bug#466719: fixed in linux-2.6 2.6.24-5
Date: Thu, 27 Mar 2008 16:02:27 +0000
Source: linux-2.6
Source-Version: 2.6.24-5

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.24-5.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.24-5.diff.gz
linux-2.6_2.6.24-5.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.24-5.dsc
linux-doc-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.24_2.6.24-5_all.deb
linux-headers-2.6.24-1-all-powerpc_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-all-powerpc_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-all_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-all_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-common_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-common_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
linux-image-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
linux-image-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
linux-image-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
linux-image-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
linux-libc-dev_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.24-5_powerpc.deb
linux-manual-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.24_2.6.24-5_all.deb
linux-patch-debian-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.24_2.6.24-5_all.deb
linux-source-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.24_2.6.24-5_all.deb
linux-support-2.6.24-1_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.24-1_2.6.24-5_all.deb
linux-tree-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.24_2.6.24-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 466719@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 27 Mar 2008 12:40:16 +0100
Source: linux-2.6
Binary: linux-source-2.6.24 linux-doc-2.6.24 linux-manual-2.6.24 linux-patch-debian-2.6.24 linux-tree-2.6.24 linux-support-2.6.24-1 linux-libc-dev linux-headers-2.6.24-1-all linux-headers-2.6.24-1-all-alpha linux-headers-2.6.24-1-common linux-image-2.6.24-1-alpha-generic linux-headers-2.6.24-1-alpha-generic linux-image-2.6.24-1-alpha-smp linux-headers-2.6.24-1-alpha-smp linux-image-2.6.24-1-alpha-legacy linux-headers-2.6.24-1-alpha-legacy linux-headers-2.6.24-1-all-amd64 linux-image-2.6.24-1-amd64 linux-headers-2.6.24-1-amd64 linux-headers-2.6.24-1-all-arm linux-image-2.6.24-1-footbridge linux-headers-2.6.24-1-footbridge linux-image-2.6.24-1-iop32x linux-headers-2.6.24-1-iop32x linux-image-2.6.24-1-ixp4xx linux-headers-2.6.24-1-ixp4xx linux-headers-2.6.24-1-all-armel linux-image-2.6.24-1-versatile linux-headers-2.6.24-1-versatile linux-headers-2.6.24-1-all-hppa linux-image-2.6.24-1-parisc linux-headers-2.6.24-1-parisc linux-image-2.6.24-1-parisc-smp linux-headers-2.6.24-1-parisc-smp linux-image-2.6.24-1-parisc64 linux-headers-2.6.24-1-parisc64 linux-image-2.6.24-1-parisc64-smp linux-headers-2.6.24-1-parisc64-smp linux-headers-2.6.24-1-all-i386 linux-image-2.6.24-1-486 linux-headers-2.6.24-1-486 linux-image-2.6.24-1-686 linux-headers-2.6.24-1-686 linux-image-2.6.24-1-686-bigmem linux-headers-2.6.24-1-686-bigmem linux-headers-2.6.24-1-common-xen linux-image-2.6.24-1-xen-686 linux-modules-2.6.24-1-xen-686 linux-headers-2.6.24-1-xen-686 linux-headers-2.6.24-1-all-ia64 linux-image-2.6.24-1-itanium linux-headers-2.6.24-1-itanium linux-image-2.6.24-1-mckinley linux-headers-2.6.24-1-mckinley linux-headers-2.6.24-1-all-m68k linux-image-2.6.24-1-amiga linux-headers-2.6.24-1-amiga linux-image-2.6.24-1-atari linux-headers-2.6.24-1-atari linux-image-2.6.24-1-bvme6000 linux-headers-2.6.24-1-bvme6000 linux-image-2.6.24-1-mac linux-headers-2.6.24-1-mac linux-image-2.6.24-1-mvme147 linux-headers-2.6.24-1-mvme147 linux-image-2.6.24-1-mvme16x linux-headers-2.6.24-1-mvme16x linux-headers-2.6.24-1-all-mips linux-image-2.6.24-1-r4k-ip22 linux-headers-2.6.24-1-r4k-ip22 linux-image-2.6.24-1-r5k-ip32 linux-headers-2.6.24-1-r5k-ip32 linux-image-2.6.24-1-sb1-bcm91250a linux-headers-2.6.24-1-sb1-bcm91250a linux-image-2.6.24-1-sb1a-bcm91480b linux-headers-2.6.24-1-sb1a-bcm91480b linux-image-2.6.24-1-4kc-malta linux-headers-2.6.24-1-4kc-malta linux-image-2.6.24-1-5kc-malta linux-headers-2.6.24-1-5kc-malta linux-headers-2.6.24-1-all-mipsel linux-image-2.6.24-1-r5k-cobalt linux-headers-2.6.24-1-r5k-cobalt linux-headers-2.6.24-1-all-powerpc linux-image-2.6.24-1-powerpc linux-headers-2.6.24-1-powerpc linux-image-2.6.24-1-powerpc-smp linux-headers-2.6.24-1-powerpc-smp linux-image-2.6.24-1-powerpc-miboot linux-headers-2.6.24-1-powerpc-miboot linux-image-2.6.24-1-powerpc64 linux-headers-2.6.24-1-powerpc64 linux-headers-2.6.24-1-all-s390 linux-image-2.6.24-1-s390 linux-headers-2.6.24-1-s390 linux-image-2.6.24-1-s390-tape linux-image-2.6.24-1-s390x linux-headers-2.6.24-1-s390x linux-headers-2.6.24-1-all-sparc linux-image-2.6.24-1-sparc64 linux-headers-2.6.24-1-sparc64 linux-image-2.6.24-1-sparc64-smp linux-headers-2.6.24-1-sparc64-smp
Architecture: source all powerpc
Version: 2.6.24-5
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.24 - Linux kernel specific documentation for version 2.6.24
 linux-headers-2.6.24-1-all - All header files for Linux 2.6.24
 linux-headers-2.6.24-1-all-powerpc - All header files for Linux 2.6.24
 linux-headers-2.6.24-1-common - Common header files for Linux 2.6.24
 linux-headers-2.6.24-1-powerpc - Header files for Linux 2.6.24 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.24-1-powerpc-miboot - Header files for Linux 2.6.24 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.24-1-powerpc-smp - Header files for Linux 2.6.24 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.24-1-powerpc64 - Header files for Linux 2.6.24 on 64-bit PowerPC
 linux-image-2.6.24-1-powerpc - Linux 2.6.24 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.24-1-powerpc-miboot - Linux 2.6.24 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.24-1-powerpc-smp - Linux 2.6.24 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.24-1-powerpc64 - Linux 2.6.24 image on 64-bit PowerPC
 linux-libc-dev - Linux Kernel Headers for development
 linux-manual-2.6.24 - Linux kernel API manual pages for version 2.6.24
 linux-patch-debian-2.6.24 - Debian patches to version 2.6.24 of the Linux kernel
 linux-source-2.6.24 - Linux kernel source for version 2.6.24 with Debian patches
 linux-support-2.6.24-1 - Support files for Linux 2.6.24
 linux-tree-2.6.24 - Linux kernel source tree for building Debian kernel images
Closes: 463669 466719 469058 471062
Changes: 
 linux-2.6 (2.6.24-5) unstable; urgency=low
 .
   [ Gordon Farquharson ]
   * [arm] Enable asix driver (USB_NET_AX8817X).
   * [arm] Enable CONFIG_USB_CATC, CONFIG_USB_KAWETH, CONFIG_USB_PEGASUS,
           and CONFIG_USB_RTL8150.
   * [arm/ixp4xx] Update Ethernet driver (closes: #471062).
   * [arm/ixp4xx] Add HSS driver.
 .
   [ Bastian Blank ]
   * [s390/s390-tape]: Override localversion correctly.
   * Add stable release 2.6.24.3:
     - x86_64: CPA, fix cache attribute inconsistency bug
     - bonding: fix NULL pointer deref in startup processing
     - POWERPC: Revert chrp_pci_fixup_vt8231_ata devinit to fix libata on pegasos
     - PCMCIA: Fix station address detection in smc
     - SCSI: gdth: scan for scsi devices
     - USB: fix pm counter leak in usblp
     - S390: Fix futex_atomic_cmpxchg_std inline assembly.
     - genirq: do not leave interupts enabled on free_irq
     - hrtimer: catch expired CLOCK_REALTIME timers early
     - hrtimer: check relative timeouts for overflow
     - SLUB: Deal with annoying gcc warning on kfree()
     - hrtimer: fix *rmtp/restarts handling in compat_sys_nanosleep()
     - hrtimer: fix *rmtp handling in hrtimer_nanosleep()
     - Disable G5 NAP mode during SMU commands on U3
     - Be more robust about bad arguments in get_user_pages()
     - AUDIT: Increase skb->truesize in audit_expand
     - BLUETOOTH: Add conn add/del workqueues to avoid connection fail.
     - INET: Prevent out-of-sync truesize on ip_fragment slow path
     - INET_DIAG: Fix inet_diag_lock_handler error path.
     - IPCOMP: Fetch nexthdr before ipch is destroyed
     - IPCOMP: Fix reception of incompressible packets
     - IPV4: fib: fix route replacement, fib_info is shared
     - IPV4: fib_trie: apply fixes from fib_hash
     - PKT_SCHED: ematch: oops from uninitialized variable (resend)
     - SELinux: Fix double free in selinux_netlbl_sock_setsid()
     - TC: oops in em_meta
     - TCP: Fix a bug in strategy_allowed_congestion_control
     - SCSI: sd: handle bad lba in sense information
     - Fix dl2k constants
     - XFS: Fix oops in xfs_file_readdir()
     - hugetlb: add locking for overcommit sysctl
     - inotify: fix check for one-shot watches before destroying them
     - NFS: Fix a potential file corruption issue when writing
     - NETFILTER: nf_conntrack_tcp: conntrack reopening fix
     - SPARC/SPARC64: Fix usage of .section .sched.text in assembler code.
   * Add stable release 2.6.24.4:
     - S390 futex: let futex_atomic_cmpxchg_pt survive early functional tests.
     - slab: NUMA slab allocator migration bugfix
     - relay: fix subbuf_splice_actor() adding too many pages
     - BLUETOOTH: Fix bugs in previous conn add/del workqueue changes.
     - SCSI advansys: Fix bug in AdvLoadMicrocode
     - async_tx: avoid the async xor_zero_sum path when src_cnt > device->max_xor
     - aio: bad AIO race in aio_complete() leads to process hang
     - jbd: correctly unescape journal data blocks
     - jbd2: correctly unescape journal data blocks
     - zisofs: fix readpage() outside i_size
     - NETFILTER: nfnetlink_log: fix computation of netlink skb size
     - NETFILTER: nfnetlink_queue: fix computation of allocated size for netlink skb
     - NETFILTER: xt_time: fix failure to match on Sundays
     - sched_nr_migrate wrong mode bits
     - nfsd: fix oops on access from high-numbered ports
     - sched: fix race in schedule()
     - SCSI: mpt fusion: don't oops if NumPhys==0
     - SCSI: gdth: fix to internal commands execution
     - SCSI: gdth: bugfix for the at-exit problems
     - Fix default compose table initialization
     - x86: don't use P6_NOPs if compiling with CONFIG_X86_GENERIC
     - SCSI: fix BUG when sum(scatterlist) > bufflen
     - USB: ehci: handle large bulk URBs correctly (again)
     - USB: ftdi_sio - really enable EM1010PC
     - USB: ftdi_sio: Workaround for broken Matrix Orbital serial port
     - VT notifier fix for VT switch
     - eCryptfs: make ecryptfs_prepare_write decrypt the page
     - ioat: fix 'ack' handling, driver must ensure that 'ack' is zero
     - macb: Fix speed setting
     - x86: move out tick_nohz_stop_sched_tick() call from the loop
     - atmel_spi: fix clock polarity
     - b43: Backport bcm4311 fix
     - arcmsr: fix IRQs disabled warning spew
     - e1000e: Fix CRC stripping in hardware context bug
     - PCI x86: always use conf1 to access config space below 256 bytes
     - moduleparam: fix alpha, ia64 and ppc64 compile failures
     - pata_hpt*, pata_serverworks: fix UDMA masking
     - SCSI advansys: fix overrun_buf aligned bug
     - NETFILTER: fix ebtable targets return
     - NETFILTER: Fix incorrect use of skb_make_writable
     - NETFILTER: nfnetlink_queue: fix SKB_LINEAR_ASSERT when mangling packet data
     - spi: pxa2xx_spi clock polarity fix
     - ufs: fix parenthesisation in ufs_set_fs_state()
     - hugetlb: ensure we do not reference a surplus page after handing it to buddy
     - file capabilities: simplify signal check
     - futex: runtime enable pi and robust functionality
     - futex: fix init order
     - ARM pxa: fix clock lookup to find specific device clocks
     - x86: replace LOCK_PREFIX in futex.h
     - SCSI aic94xx: fix REQ_TASK_ABORT and REQ_DEVICE_RESET
     - SCSI gdth: don't call pci_free_consistent under spinlock
     - SCSI ips: fix data buffer accessors conversion bug
     - usb-storage: don't access beyond the end of the sg buffer
     - fuse: fix permission checking
     - CRYPTO xts: Use proper alignment
     - CRYPTO xcbc: Fix crash with IPsec
     - SCSI ips: handle scsi_add_host() failure, and other err cleanups
     - x86: adjust enable_NMI_through_LVT0()
     - drivers: fix dma_get_required_mask
     - iov_iter_advance() fix
     - x86: Clear DF before calling signal handler (closes: #469058)
     - ub: fix up the conversion to sg_init_table()
     - MIPS: Mark all but i8259 interrupts as no-probe.
     - IRQ_NOPROBE helper functions
     - IPCOMP: Disable BH on output when using shared tfm
     - IPCONFIG: The kernel gets no IP from some DHCP servers
     - IPV4: Remove IP_TOS setting privilege checks.
     - IPV6: dst_entry leak in ip4ip6_err.
     - IPV6: Fix IPsec datagram fragmentation
     - NET: Fix race in dev_close(). (Bug 9750)
     - NET: Messed multicast lists after dev_mc_sync/unsync (closes: #466719)
     - NIU: Bump driver version and release date.
     - NIU: Fix BMAC alternate MAC address indexing.
     - NIU: More BMAC alt MAC address fixes.
     - TCP: Improve ipv4 established hash function.
     - SPARC: Fix link errors with gcc-4.3
     - SPARC64: Loosen checks in exception table handling.
 .
   [ Martin Michlmayr ]
   * [mips/r4k-ip22] Enable BLK_DEV_LOOP and BLK_DEV_CRYPTOLOOP.
   * [mips/r5k-ip32] Enable BLK_DEV_LOOP and BLK_DEV_CRYPTOLOOP.
   * [mips/r4k-ip22] Enable PPP, PPPOE and SLIP.
   * [mips/r5k-ip32] Enable PPP, PPPOE and SLIP.
   * Don't check the section size when we're cross compiling.
 .
   [ dann frazier ]
   * Remove cap_task_kill (closes: #463669)
Files: 
 efbfbb001ad6ce99beb7ab29cdb9c291 4297 devel optional linux-2.6_2.6.24-5.dsc
 a2c6f43db486207458ecf37fa042dac3 4409773 devel optional linux-2.6_2.6.24-5.diff.gz
 8be733ca517fca9b6dffe8d88c71517e 4283866 doc optional linux-doc-2.6.24_2.6.24-5_all.deb
 c877cc0ddaca81148172e4e85eeb6bb6 1536990 doc optional linux-manual-2.6.24_2.6.24-5_all.deb
 1a75c2e925661e72048ab0435bf0143a 649206 devel optional linux-patch-debian-2.6.24_2.6.24-5_all.deb
 4e40ee955b23900145b07a77b9efcf2b 45959174 devel optional linux-source-2.6.24_2.6.24-5_all.deb
 584b4eede3d554c7e38bdd2a702a1ca0 92564 devel optional linux-support-2.6.24-1_2.6.24-5_all.deb
 1ec553a3b6a7938de2856cd7b76ceb19 77680 devel optional linux-tree-2.6.24_2.6.24-5_all.deb
 278def9e428c3ce63f424595eee3d40b 19096156 admin optional linux-image-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
 4061d953f0f4e52495abd3639e428ddd 311748 devel optional linux-headers-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
 c13890c3c09129e05731e57e0f46168c 17353162 admin optional linux-image-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
 30c6ba9410524ce974faf2f4e941d812 284028 devel optional linux-headers-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
 1e7f73643de436cd7bcfe2d141d34dda 19380412 admin optional linux-image-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
 e4dc9593895d7533b37c845f09fbb0c7 311064 devel optional linux-headers-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
 61654e4d0699c5a88ca8bc01bd8b4813 21021086 admin optional linux-image-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
 c116f9d594b0c05effcd106231a25173 312470 devel optional linux-headers-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
 2b126ab4a2a4aa9b4874b3d5636739e7 3597654 devel optional linux-headers-2.6.24-1-common_2.6.24-5_powerpc.deb
 3e4635d0939a1cbbb55a16f2fb9c4936 77314 devel optional linux-headers-2.6.24-1-all_2.6.24-5_powerpc.deb
 c59bb93161c13b709e0980c172986db1 77342 devel optional linux-headers-2.6.24-1-all-powerpc_2.6.24-5_powerpc.deb
 d1fd585f0a41f7d5da8d37647eb75e2a 717124 devel optional linux-libc-dev_2.6.24-5_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkfrvX4ACgkQxWtQqFixGB4pJACgh5bd/vjgQkZsZ5wPjj627aht
wIwAmwQQOeF1D42Vowl+lnfnwYvvm1Jw
=7dNW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 May 2008 07:34:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:36:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.